Browse Source

Updating stuff for automatic tests.

tags/0.1.17
Bernd Zeimetz 3 years ago
parent
commit
e76e708522
5 changed files with 19 additions and 16 deletions
  1. +5
    -1
      .fixtures.yml
  2. +1
    -1
      .msync.yml
  3. +5
    -1
      .rubocop.yml
  4. +6
    -2
      Gemfile
  5. +2
    -11
      Rakefile

+ 5
- 1
.fixtures.yml View File

@@ -5,5 +5,9 @@ fixtures:
concat:
repo: 'git://github.com/puppetlabs/puppetlabs-concat'
ref: '2.1.0'
vcsrepo:
repo: 'git://github.com/puppetlabs/puppetlabs-vcsrepo'
openssl:
repo: 'git://github.com/camptocamp/puppet-openssl'
symlinks:
'collectd': "#{source_dir}"
'letsencrypt': "#{source_dir}"

+ 1
- 1
.msync.yml View File

@@ -1 +1 @@
modulesync_config_version: '0.12.9'
modulesync_config_version: '0.16.3'

+ 5
- 1
.rubocop.yml View File

@@ -4,6 +4,7 @@ AllCops:
Include:
- ./**/*.rb
Exclude:
- files/**/*
- vendor/**/*
- .vendor/**/*
- pkg/**/*
@@ -56,6 +57,9 @@ Style/AndOr:
Style/RedundantSelf:
Enabled: True

Metrics/BlockLength:
Enabled: False

# Method length is not necessarily an indicator of code quality
Metrics/MethodLength:
Enabled: False
@@ -492,7 +496,7 @@ Lint/UselessAssignment:
Enabled: True

Style/ClosingParenthesisIndentation:
Enabled: False
Enabled: True

# RSpec



+ 6
- 2
Gemfile View File

@@ -12,7 +12,7 @@ end

group :test do
gem 'puppetlabs_spec_helper', '~> 1.2.2', :require => false
gem 'rspec-puppet', :require => false, :git => 'https://github.com/rodjek/rspec-puppet.git'
gem 'rspec-puppet', '~> 2.5', :require => false
gem 'rspec-puppet-facts', :require => false
gem 'rspec-puppet-utils', :require => false
gem 'puppet-lint-absolute_classname-check', :require => false
@@ -25,9 +25,12 @@ group :test do
gem 'metadata-json-lint', :require => false
gem 'puppet-blacksmith', :require => false
gem 'voxpupuli-release', :require => false, :git => 'https://github.com/voxpupuli/voxpupuli-release-gem.git'
gem 'puppet-strings', '0.4.0', :require => false
gem 'puppet-strings', '~> 0.99.0', :require => false
gem 'rubocop-rspec', '~> 1.6', :require => false if RUBY_VERSION >= '2.3.0'
gem 'json_pure', '<= 2.0.1', :require => false if RUBY_VERSION < '2.0.0'
gem 'mocha', '>= 1.2.1', :require => false
gem 'coveralls', :require => false if RUBY_VERSION >= '2.0.0'
gem 'simplecov-console', :require => false if RUBY_VERSION >= '2.0.0'
end

group :development do
@@ -45,6 +48,7 @@ group :system_tests do
else
gem 'beaker-rspec', :require => false
end
gem 'serverspec', :require => false
gem 'beaker-puppet_install_helper', :require => false
end



+ 2
- 11
Rakefile View File

@@ -1,18 +1,9 @@
require 'puppetlabs_spec_helper/rake_tasks'
require 'puppet_blacksmith/rake_tasks'
require 'voxpupuli/release/rake_tasks'
require 'puppet-strings/rake_tasks'
require 'puppet-strings/tasks'

if RUBY_VERSION >= '2.3.0'
require 'rubocop/rake_task'

RuboCop::RakeTask.new(:rubocop) do |task|
# These make the rubocop experience maybe slightly less terrible
task.options = ['-D', '-S', '-E']
end
end

PuppetLint.configuration.log_format = '%{path}:%{linenumber}:%{check}:%{KIND}:%{message}'
PuppetLint.configuration.log_format = '%{path}:%{line}:%{check}:%{KIND}:%{message}'
PuppetLint.configuration.fail_on_warnings = true
PuppetLint.configuration.send('relative')
PuppetLint.configuration.send('disable_140chars')


Loading…
Cancel
Save